# Saved directions (snapshots of the brief, theme and pages) that can be restored

`GET /hosting/sites/{id}/design/directions` · Rivier · hosting

Saved directions (snapshots of the brief, theme and pages) that can be restored.

- Scope: hosting:read
- Mcp: rivier_site_design_direction_list
- Graphql: Query.hostingDesignDirectionList
- Sdk: hosting.designDirection.list
- Cli: hosting design direction list

## Parameters

- `id` (path, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/hosting/sites/{id}/design/directions' \
  -H 'Authorization: Bearer $KEY'
```
